package com.qmth.distributed.print;

import com.qmth.distributed.print.business.bean.result.TemplatePrintInfoResult;
import com.qmth.distributed.print.business.service.BasicTemplateOrgService;
import com.qmth.distributed.print.business.service.ExamPrintPlanService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description: service层测试
 * @Author: CaoZixuan
 * @Date: 2021-04-05
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class ServiceTest {
    @Resource
    private ExamPrintPlanService examPrintPlanService;
    @Resource
    private BasicTemplateOrgService basicTemplateOrgService;


    @Test
    public void printPlanTemplateDatasource(){
        examPrintPlanService.printPlanTemplateDatasource(1L,2L);
    }

    @Test
    public void mapper(){
        List<Long> ids = new ArrayList<>();
        ids.add(1L);
        ids.add(9L);
        List<TemplatePrintInfoResult> result = basicTemplateOrgService.findTemplateInfoByOrgIds(ids);
        for (TemplatePrintInfoResult templatePrintInfoResult : result) {
            System.out.println(templatePrintInfoResult);
        }
    }
}
